//Copyright (C)2014-2022 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: GowinSynthesis V1.9.8.10
//Part Number: GW2A-LV18PG256C8/I7
//Device: GW2A-18
//Created Time: Thu Dec 01 10:51:11 2022

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	SDIO_SDR104_Slave_Controller_Top your_instance_name(
		.sdio_clk(sdio_clk_i), //input sdio_clk
		.sym_clk(sym_clk_o), //output sym_clk
		.clk_2mhz(clk_2mhz_i), //input clk_2mhz
		.rstn(rstn_i), //input rstn
		.sdio_cmd_in(sdio_cmd_in_i), //input sdio_cmd_in
		.sdio_cmd_out(sdio_cmd_out_o), //output sdio_cmd_out
		.sdio_cmd_oen(sdio_cmd_oen_o), //output sdio_cmd_oen
		.sdio_dat0_in(sdio_dat0_in_i), //input sdio_dat0_in
		.sdio_dat0_out(sdio_dat0_out_o), //output sdio_dat0_out
		.sdio_dat0_oen(sdio_dat0_oen_o), //output sdio_dat0_oen
		.sdio_dat1_in(sdio_dat1_in_i), //input sdio_dat1_in
		.sdio_dat1_out(sdio_dat1_out_o), //output sdio_dat1_out
		.sdio_dat1_oen(sdio_dat1_oen_o), //output sdio_dat1_oen
		.sdio_dat2_in(sdio_dat2_in_i), //input sdio_dat2_in
		.sdio_dat2_out(sdio_dat2_out_o), //output sdio_dat2_out
		.sdio_dat2_oen(sdio_dat2_oen_o), //output sdio_dat2_oen
		.sdio_dat3_in(sdio_dat3_in_i), //input sdio_dat3_in
		.sdio_dat3_out(sdio_dat3_out_o), //output sdio_dat3_out
		.sdio_dat3_oen(sdio_dat3_oen_o), //output sdio_dat3_oen
		.cmd52_rst(cmd52_rst_o), //output cmd52_rst
		.fun1_ioe(fun1_ioe_o), //output fun1_ioe
		.fun1_interrupt(fun1_interrupt_i), //input fun1_interrupt
		.fun1_ior(fun1_ior_i), //input fun1_ior
		.cpu_rst(cpu_rst_i), //input cpu_rst
		.cpu_clk(cpu_clk_i), //input cpu_clk
		.slv_cpu_cs(slv_cpu_cs_i), //input slv_cpu_cs
		.slv_cpu_op(slv_cpu_op_i), //input slv_cpu_op
		.slv_cpu_addr(slv_cpu_addr_i), //input [7:0] slv_cpu_addr
		.slv_cpu_wr_data(slv_cpu_wr_data_i), //input [31:0] slv_cpu_wr_data
		.slv_cpu_byte_en(slv_cpu_byte_en_i), //input [3:0] slv_cpu_byte_en
		.slv_cpu_rd_data(slv_cpu_rd_data_o), //output [31:0] slv_cpu_rd_data
		.slv_cpu_ack(slv_cpu_ack_o), //output slv_cpu_ack
		.slv_cpu_err(slv_cpu_err_o), //output slv_cpu_err
		.sdio_cmd52_cs(sdio_cmd52_cs_o), //output sdio_cmd52_cs
		.sdio_cmd52_r_w(sdio_cmd52_r_w_o), //output sdio_cmd52_r_w
		.sdio_cmd52_fn_num(sdio_cmd52_fn_num_o), //output sdio_cmd52_fn_num
		.sdio_cmd52_raw(sdio_cmd52_raw_o), //output sdio_cmd52_raw
		.sdio_cmd52_addr(sdio_cmd52_addr_o), //output [16:0] sdio_cmd52_addr
		.sdio_cmd52_wr_data(sdio_cmd52_wr_data_o), //output [7:0] sdio_cmd52_wr_data
		.sdio_cmd52_rd_data(sdio_cmd52_rd_data_i), //input [7:0] sdio_cmd52_rd_data
		.sdio_cmd52_ack(sdio_cmd52_ack_i), //input sdio_cmd52_ack
		.sdio_cmd53_wr_en(sdio_cmd53_wr_en_o), //output sdio_cmd53_wr_en
		.sdio_cmd53_rd_en(sdio_cmd53_rd_en_o), //output sdio_cmd53_rd_en
		.sdio_cmd53_fn_num(sdio_cmd53_fn_num_o), //output sdio_cmd53_fn_num
		.sdio_cmd53_addr(sdio_cmd53_addr_o), //output [16:0] sdio_cmd53_addr
		.sdio_cmd53_len(sdio_cmd53_len_o), //output [11:0] sdio_cmd53_len
		.sdio_cmd53_op_code(sdio_cmd53_op_code_o), //output sdio_cmd53_op_code
		.sdio_cmd53_wr_valid(sdio_cmd53_wr_valid_o), //output sdio_cmd53_wr_valid
		.sdio_cmd53_wr_data(sdio_cmd53_wr_data_o), //output [7:0] sdio_cmd53_wr_data
		.sdio_cmd53_wr_end(sdio_cmd53_wr_end_o), //output sdio_cmd53_wr_end
		.sdio_cmd53_wr_ok(sdio_cmd53_wr_ok_o), //output sdio_cmd53_wr_ok
		.sdio_cmd53_wr_abort(sdio_cmd53_wr_abort_o), //output sdio_cmd53_wr_abort
		.sdio_cmd53_rd_valid(sdio_cmd53_rd_valid_i), //input sdio_cmd53_rd_valid
		.sdio_cmd53_rd_data(sdio_cmd53_rd_data_i), //input [7:0] sdio_cmd53_rd_data
		.sdio_cmd53_rd_ready(sdio_cmd53_rd_ready_o), //output sdio_cmd53_rd_ready
		.sdio_cmd53_rd_end(sdio_cmd53_rd_end_o), //output sdio_cmd53_rd_end
		.sdio_cmd53_rd_abort(sdio_cmd53_rd_abort_o), //output sdio_cmd53_rd_abort
		.sdio_buffer_full(sdio_buffer_full_i), //input sdio_buffer_full
		.sdio_tuning_start(sdio_tuning_start_o), //output sdio_tuning_start
		.sdio_tuning_data(sdio_tuning_data_i), //input [7:0] sdio_tuning_data
		.sdio_tuning_end(sdio_tuning_end_i) //input sdio_tuning_end
	);

//--------Copy end-------------------
